### Method

# Ide LspClient get_initialization_options

#### Declaration

    GVariant*
    ide_lsp_client_get_initialization_options (
      IdeLspClient* self
    )

#### Description

Gets the initialization options for the client.

Gets property | `Ide.LspClient:initialization-options`

#### Return value

Returns: | `GVariant`
| A `GVariant` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.